UCALL(2)

NAME
ucall - call a kernel subroutine from user mode (2BSD)

SYNOPSIS
#include <pdp/psl.h>
#include <sys/types.h>
ucall(priority, function, arg0, arg1)
int priority, arg0, arg1;
caddr_t function;

DESCRIPTION
Ucall causes the processor priority to be set to priority and the specified kernel function to be called with arguments arg0 and arg1. Priority is one of PSL_BR0, ..., PSL_BR7. Processor priority is reset to PSL_BR0 when function returns.

Ucall is allowed only if the user is the superuser. It is obviously extremely dangerous if misused. It's only current use is at system boot time to configure system devices by calling device drivers ...

ERRORS

[EPERM]
    The caller is not the super-user.

SEE ALSO
autoconfig(8)

BUGS
No address validations are attempted.

Ucall is unique to the PDP-11 and 2BSD; its use is discouraged.